Bug 566404 (lbd) - Review Request: lbd - DNS/HTTP load balancing detector
Summary: Review Request: lbd - DNS/HTTP load balancing detector
Status: CLOSED ERRATA
Alias: lbd
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2010-02-18 12:25 UTC by Mykola Ulianytskyi
Modified: 2014-09-24 10:03 UTC (History)
4 users (show)

Fixed In Version: lbd-0.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 21:04:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rebus: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
lbd-review-checklist (3.12 KB, application/octet-stream)
2010-04-12 14:33 UTC, Michal Ambroz
no flags Details

Description Mykola Ulianytskyi 2010-02-18 12:25:38 UTC
Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/lbd.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/lbd-0.1-1.fc12.src.rpm

Description: 
lbd (load balancing detector) detects if a given domain uses DNS and/or HTTP
Load-Balancing (via Server: and Date: header and diffs between server answers)

$ rpmlint {i386,x86_64,SRPMS}/lbd*
lbd.noarch: W: no-documentation
lbd.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

The software has no documentation.

This package builds successfully by mock on i686/x86_64 architectures.

This is one from my first packages and I'm looking for a sponsor.

Comment 1 Mykola Ulianytskyi 2010-02-19 09:42:30 UTC
Builds successfully in mock on Fedora 11 with i386/x86_64 architectures.

Comment 2 Mykola Ulianytskyi 2010-02-19 12:52:47 UTC
Builds successfully in mock on Fedora 13 with i386/x86_64 architectures.

Comment 3 Mykola Ulianytskyi 2010-03-13 19:58:57 UTC
* Sat Mar 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.1-2
- Replace generally useful macros by regular commands


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/lbd.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/lbd-0.1-2.fc12.src.rpm


The srpm builds successfully by the mock on Fedora 11, 12, 13 with i386/x86_64 architectures.

The rpmlint output is clean.

Comment 4 Michal Ambroz 2010-04-12 14:31:59 UTC
Hello,

I have not found any formal issues, which would prevent accepting for Fedora.
It is possible to build the package and it works as expected on Fedora-12.

License text in the script is pretty short stating only that this is GPL-v2 - homepage references license text to be available from www.gnu.org. Upstream contacted regarding this issue to improve the License disclaimer.

Attached is the full review checklist.
Michal Ambroz

Comment 5 Michal Ambroz 2010-04-12 14:33:05 UTC
Created attachment 405979 [details]
lbd-review-checklist

Comment 6 Mykola Ulianytskyi 2010-04-17 13:12:07 UTC
New Package CVS Request
=======================
Package Name: lbd
Short Description: DNS/HTTP load balancing detector
Owners: lystor
Branches: F-11 F-12 F-13
InitialCC:

Comment 7 Mykola Ulianytskyi 2010-04-17 13:25:26 UTC
Spec diff:
@@ -1,6 +1,6 @@
 Name:           lbd
-Version:        0.1
-Release:        2%{?dist}
+Version:        0.2
+Release:        1%{?dist}
 Summary:        DNS/HTTP load balancing detector

 Group:          Applications/Internet
@@ -41,6 +41,9 @@


 %changelog
+* Sat Apr 17 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.2-1
+- Update to 0.2


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/lbd.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/lbd-0.2-1.fc12.src.rpm

Comment 8 Michal Ambroz 2010-04-18 01:18:55 UTC
Thank you for update.
License of lbd is now GPLv2+ ... please could you change it in spec as well?
Other than that everything is fine. License is now clearly stated in the lbd script. Other then that everything is fine.
Michal Ambroz

Comment 9 Kevin Fenzi 2010-04-18 01:51:44 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-04-29 16:35:30 UTC
lbd-0.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lbd-0.2-2.fc11

Comment 11 Fedora Update System 2010-04-29 16:36:24 UTC
lbd-0.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lbd-0.2-2.fc12

Comment 12 Fedora Update System 2010-04-29 16:37:42 UTC
lbd-0.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lbd-0.2-2.fc13

Comment 13 Fedora Update System 2010-04-30 23:46:20 UTC
lbd-0.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lbd-0.2-2.fc13

Comment 14 Fedora Update System 2010-05-03 16:04:14 UTC
lbd-0.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lbd-0.2-2.fc12

Comment 15 Fedora Update System 2010-05-03 16:10:53 UTC
lbd-0.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lbd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lbd-0.2-2.fc11

Comment 16 Michal Ambroz 2010-08-07 11:12:31 UTC
Hello Nikolay,
I have tested the package from the update-testing repository and it works fine.
As there are no more testers for last 3 months I would propose to move it to stable.

Best regards
Michal Ambroz

Comment 17 Fedora Update System 2010-08-24 21:04:17 UTC
lbd-0.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-08-24 21:15:34 UTC
lbd-0.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fabian Affolter 2014-09-24 06:32:40 UTC
Package Change Request
======================
Package Name: lbd
New Branches: el6 epel7
Owners: fab rebus
InitialCC:

Comment 20 Gwyn Ciesla 2014-09-24 10:03:51 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.